Index: scripts/ChangeLog
===================================================================
--- scripts/ChangeLog	(revision 56a1ae369db7a16d44a66517b61fc50aafbc9867)
+++ scripts/ChangeLog	(revision d21091b98b19ce3d53555f0820fc32db5141cb0f)
@@ -1,2 +1,13 @@
+2002-10-25	Joel Sherrill <joel@OARcorp.com>
+
+	* autotools/autoconf-rtems.spec.in: New.
+	Remove Provides: autoconf (Conflicts with RH-8.0).
+	* autotools/autoconf-rtems.spec: Remove.
+	* autotools/automake-rtems.spec.in: 
+	Remove Provides: automake (Conflicts with RH-8.0).
+	* gcc3newlib/Makefile.am: Remove references to mkgcc3newlibspec.
+	* Makefile.am: Ditto.
+	* configure.ac: Add autotools/autoconf-rtems.spec.in.
+
 2002-10-24	Joel Sherrill <joel@OARcorp.com>
 
Index: scripts/Makefile.am
===================================================================
--- scripts/Makefile.am	(revision 56a1ae369db7a16d44a66517b61fc50aafbc9867)
+++ scripts/Makefile.am	(revision d21091b98b19ce3d53555f0820fc32db5141cb0f)
@@ -8,5 +8,5 @@
 
 noinst_SCRIPTS = setup buildall buildalltar mkbinutilspec mkbspspec \
-    mkgccnewlibspec mkgcc3newlibspec mkgdbspec mkrpms mkspec
+    mkgccnewlibspec mkgdbspec mkrpms mkspec
 
 TEMPLATES =
Index: ripts/autotools/autoconf-rtems.spec
===================================================================
--- scripts/autotools/autoconf-rtems.spec	(revision 56a1ae369db7a16d44a66517b61fc50aafbc9867)
+++ 	(revision )
@@ -1,89 +1,0 @@
-#
-# spec file for autoconf 
-#
-
-%define rpmvers 2.52
-%define srcvers	2.52
-
-%define _defaultbuildroot	/var/tmp/%{name}-%{srcvers}-root
-%define _prefix			/opt/rtems
-%define _name			autoconf
-
-%if "%{_prefix}" != "/usr"
-%define name			%{_name}-rtems
-%define _infodir		%{_prefix}/info
-%define _mandir			%{_prefix}/man
-%else
-%define name			%{_name}
-%endif
-
-
-Vendor:       http://www.rtems.com
-Name:         %{name}
-Packager:     Ralf Corsepius <corsepiu@faw.uni-ulm.de>
-
-Copyright:    GPL
-URL:          http://www.gnu.org/software/autoconf
-Group:        rtems
-Provides:     autoconf
-Autoreqprov:  on
-Version:      %{rpmvers}
-Release:      0
-Summary:      Tool for automatically generating GNU style Makefile.in's
-BuildArch:    noarch
-BuildRoot:    %{_defaultbuildroot}
-BuildPreReq:  autoconf perl m4 gawk
-PreReq:       /sbin/install-info
-
-Source: autoconf-%{srcvers}.tar.bz2
-
-%description
-GNU's Autoconf is a tool for configuring source code and Makefiles.
-Using Autoconf, programmers can create portable and configurable
-packages, since the person building the package is allowed to
-specify various configuration options.
-You should install Autoconf if you are developing software and you'd
-like to use it to create shell scripts which will configure your
-source code packages.
-Note that the Autoconf package is not required for the end user who
-may be configuring software with an Autoconf-generated script;
-Autoconf is only required for the generation of the scripts, not
-their use.
-
-%prep
-%setup -q -n %{_name}-%{srcvers}
-
-%build
-./configure --prefix=%{_prefix} --infodir=%{_infodir} --mandir=%{_mandir}
-make
-
-%install
-%makeinstall
-gzip -9qf $RPM_BUILD_ROOT%{_infodir}/autoconf.info* 2>/dev/null
-# RTEMS's standards.info comes from binutils
-rm -f $RPM_BUILD_ROOT%{_infodir}/standards.info*
-# gzip -9qf $RPM_BUILD_ROOT%{_infodir}/standards.info* 2>/dev/null
-gzip -9qf $RPM_BUILD_ROOT%{_mandir}/man?/* 2>/dev/null
-
-%clean
-[ x"$RPM_BUILD_ROOT" = x"%{_defaultbuildroot}" ] ; \
-   rm -rf "$RPM_BUILD_ROOT"
-
-%post
-install-info  --info-dir=%{_infodir} %{_infodir}/autoconf.info.gz
-#install-info  --info-dir=%{_infodir} %{_infodir}/standards.info.gz
-
-%preun
-if [ $1 = 0 ]; then
-  install-info --delete --info-dir=%{_infodir} %{_infodir}/autoconf.info.gz
-#  install-info --delete --info-dir=%{_infodir} %{_infodir}/standards.info.gz
-fi   
-
-%files
-%defattr(-,root,root)
-%doc AUTHORS COPYING ChangeLog NEWS README THANKS
-%{_bindir}/*
-%doc %{_infodir}/autoconf.info*.gz
-#%doc %{_infodir}/standards.info*.gz
-%doc %{_mandir}/man?/*.gz
-%{_datadir}/autoconf
Index: scripts/autotools/autoconf-rtems.spec.in
===================================================================
--- scripts/autotools/autoconf-rtems.spec.in	(revision d21091b98b19ce3d53555f0820fc32db5141cb0f)
+++ scripts/autotools/autoconf-rtems.spec.in	(revision d21091b98b19ce3d53555f0820fc32db5141cb0f)
@@ -0,0 +1,88 @@
+#
+# spec file for autoconf 
+#
+
+%define rpmvers 2.52
+%define srcvers	2.52
+
+%define _defaultbuildroot	%{_tmppath}/%{name}-%{srcvers}-root
+%define _prefix			@prefix @
+%define _name			autoconf
+
+%if "%{_prefix}" != "/usr"
+%define name			%{_name}-rtems
+%define _infodir		%{_prefix}/info
+%define _mandir			%{_prefix}/man
+%else
+%define name			%{_name}
+%endif
+
+
+Vendor:       http://www.rtems.com
+Name:         %{name}
+Packager:     Ralf Corsepius <corsepiu@faw.uni-ulm.de>
+
+Copyright:    GPL
+URL:          http://www.gnu.org/software/autoconf
+Group:        rtems
+Autoreqprov:  on
+Version:      %{rpmvers}
+Release:      1
+Summary:      Tool for automatically generating GNU style Makefile.in's
+BuildArch:    noarch
+BuildRoot:    %{_defaultbuildroot}
+BuildPreReq:  autoconf perl m4 gawk
+PreReq:       /sbin/install-info
+
+Source: autoconf-%{srcvers}.tar.bz2
+
+%description
+GNU's Autoconf is a tool for configuring source code and Makefiles.
+Using Autoconf, programmers can create portable and configurable
+packages, since the person building the package is allowed to
+specify various configuration options.
+You should install Autoconf if you are developing software and you'd
+like to use it to create shell scripts which will configure your
+source code packages.
+Note that the Autoconf package is not required for the end user who
+may be configuring software with an Autoconf-generated script;
+Autoconf is only required for the generation of the scripts, not
+their use.
+
+%prep
+%setup -q -n %{_name}-%{srcvers}
+
+%build
+./configure --prefix=%{_prefix} --infodir=%{_infodir} --mandir=%{_mandir}
+make
+
+%install
+%makeinstall
+gzip -9qf $RPM_BUILD_ROOT%{_infodir}/autoconf.info* 2>/dev/null
+# RTEMS's standards.info comes from binutils
+rm -f $RPM_BUILD_ROOT%{_infodir}/standards.info*
+# gzip -9qf $RPM_BUILD_ROOT%{_infodir}/standards.info* 2>/dev/null
+gzip -9qf $RPM_BUILD_ROOT%{_mandir}/man?/* 2>/dev/null
+
+%clean
+[ x"$RPM_BUILD_ROOT" = x"%{_defaultbuildroot}" ] ; \
+   rm -rf "$RPM_BUILD_ROOT"
+
+%post
+install-info  --info-dir=%{_infodir} %{_infodir}/autoconf.info.gz
+#install-info  --info-dir=%{_infodir} %{_infodir}/standards.info.gz
+
+%preun
+if [ $1 = 0 ]; then
+  install-info --delete --info-dir=%{_infodir} %{_infodir}/autoconf.info.gz
+#  install-info --delete --info-dir=%{_infodir} %{_infodir}/standards.info.gz
+fi   
+
+%files
+%defattr(-,root,root)
+%doc AUTHORS COPYING ChangeLog NEWS README THANKS
+%{_bindir}/*
+%doc %{_infodir}/autoconf.info*.gz
+#%doc %{_infodir}/standards.info*.gz
+%doc %{_mandir}/man?/*.gz
+%{_datadir}/autoconf
Index: scripts/autotools/automake-rtems.spec.in
===================================================================
--- scripts/autotools/automake-rtems.spec.in	(revision 56a1ae369db7a16d44a66517b61fc50aafbc9867)
+++ scripts/autotools/automake-rtems.spec.in	(revision d21091b98b19ce3d53555f0820fc32db5141cb0f)
@@ -27,8 +27,7 @@
 Copyright:    GPL
 Group:        rtems
-Provides:     automake
 Autoreqprov:  on
 Version:      %{rpmvers}
-Release:      0
+Release:      1
 Summary:      Tool for automatically generating GNU style Makefile.in's
 BuildArch:    noarch
Index: scripts/configure.ac
===================================================================
--- scripts/configure.ac	(revision 56a1ae369db7a16d44a66517b61fc50aafbc9867)
+++ scripts/configure.ac	(revision d21091b98b19ce3d53555f0820fc32db5141cb0f)
@@ -86,4 +86,5 @@
 autotools/Makefile
 autotools/automake-rtems.spec
+autotools/autoconf-rtems.spec
 cpukit/Makefile
 ])
Index: scripts/gcc3newlib/Makefile.am
===================================================================
--- scripts/gcc3newlib/Makefile.am	(revision 56a1ae369db7a16d44a66517b61fc50aafbc9867)
+++ scripts/gcc3newlib/Makefile.am	(revision d21091b98b19ce3d53555f0820fc32db5141cb0f)
@@ -19,5 +19,5 @@
 CLEANFILES = gccnewlib.spec.in
 
-MKGCCNEWLIBSPEC_DEPS = $(top_builddir)/mkgcc3newlibspec gccnewlib.spec.in \
+MKGCCNEWLIBSPEC_DEPS = mkspec gccnewlib.spec.in \
     $(top_builddir)/setup.cache
 
@@ -28,5 +28,5 @@
 RPM_SPECS_DATA += arm-rtems-$(GCC3NEWLIBVERS).spec
 
-c4x-rtems-$(GCC3NEWLIBVERS).spec: $(MKGCCNEWLIB_DEPS)
+c4x-rtems-$(GCC3NEWLIBVERS).spec: $(MKGCCNEWLIBSPEC_DEPS)
 	$(MKSPEC) -cfg $(top_builddir)/setup.cache c4x-rtems > $@
 RPM_SPECS_DATA += c4x-rtems-$(GCC3NEWLIBVERS).spec
